Name: libslang2
Version: 2.1.3
Release: alt0.1

Summary: The shared library for the S-Lang extension language
License: GPL
Group: System/Libraries
Url: http://www.s-lang.org/

Packager: Ilya Mashkin <oddity@altlinux.ru>

Source: ftp://ftp.fu-berlin.de/pub/unix/misc/slang/v2.0/slang-%version.tar.bz2
Patch1: slang-2.1.3-makefile.patch
Patch2: slang-nointerlibc2.patch

BuildRequires: libpng-devel pcre-devel
#next version build with: oniguruma-devel

#package -n #name
#Summary: The shared library for the S-Lang extension language
#Group: System/Libraries
Provides: slang = %version
Obsoletes: slang

%package -n %name-devel
Summary: The development environment for S-Lang
Group: Development/C
Requires: %name = %version-%release
Provides: slang-devel = %version
Obsoletes: slang-devel

%package -n %name-devel-static
Summary: The static library for development using S-Lang
Group: Development/C
Requires: %name-devel = %version-%release
Provides: slang-devel-static = %version
Obsoletes: slang-devel-static

%package -n slsh
Summary: Interpreter for S-Lang scripts
Group: Development/C
Requires: %name = %version-%release

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%description -n %name
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%description -n %name-devel
This package contains the S-Lang extension language development libraries
and header files which you'll need if you want to develop S-Lang based
applications.

%description -n %name-devel-static
This package contains the S-Lang extension language static libraries
which you'll need if you want to develop S-Lang based statically linked
applications.

%description -n slsh
slsh (slang-shell) is a program for interpreting S-Lang scripts.
It supports dynamic loading of S-Lang modules and includes a readline
interface for interactive use.

This package also includes S-Lang modules that are distributed with
the S-Lang distribution.

%prep
%setup -n slang-%version -q
%patch1 -p1 -b .makefile
%patch2 -p1 -b .nointerlibc2

%build
%configure --includedir=%_includedir/slang2
make all install_doc_dir=%_docdir/%name-%version

%install
make install-all INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%_docdir/{slang,slsh}

%post -n %name -p %post_ldconfig
%postun -n %name -p %postun_ldconfig

%files -n %name
%_libdir/*.so.*
%doc COPYING doc/README changes.txt doc/*/slang*.txt doc/*.txt


%files -n slsh
%doc slsh/doc/html/slsh*.html
%config(noreplace) %_sysconfdir/slsh.rc
%_bindir/slsh
%_libdir/slang
%_man1dir/slsh.1*
%_datadir/slsh

%files -n %name-devel
%_libdir/*.so
%_includedir/slang2
%doc doc/*/cslang*.txt doc/*/cref.txt

%files -n %name-devel-static
%_libdir/*.a

%changelog
* Mon Mar 10 2008 Ilya Mashkin <oddity@altlinux.ru> 2.1.3-alt0.1
- New version 2.1.3 (libslang2)
- add slsh package

* Wed May 18 2005 Kachalov Anton <mouse@altlinux.ru> 1.4.9-alt1
- 1.4.9
- UTF8 support

* Sun Dec 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1.4.7-alt1
- Updated to 1.4.7, rediffed patches.
- Repackaged documentation (#0001587).

* Mon Oct 14 2002 Dmitry V. Levin <ldv@altlinux.org> 1.4.6-alt1
- 1.4.6
- Moved static library to -devel-static subpackage.
- Merged Owl changes (1.4.6-owl1):
  * Sat Oct 12 2002 Solar Designer <solar@owl.openwall.com>
  - Reviewed all of the library code for environment variable uses and
    restricted those which would be unsafe in SUID/SGID programs.
  - Corrected the examples to not use temporary files unsafely.
  - Enable snprintf() and vsnprintf() explicitly.

* Wed Feb 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.4.5-alt1
- 1.4.5

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 1.4.4-ipl1mdk
- 1.4.4.

* Mon Feb 05 2001 Dmitry V. Levin <ldv@fandra.org> 1.4.3-ipl1mdk
- 1.4.3.
- Libification.

* Wed Nov 22 2000 Dmitry V. Levin <ldv@fandra.org> 1.4.2-ipl1mdk
- RE adaptions.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.2-1mdk
- s|1.4.0|1.4.2|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.0-6mdk
- automatically added BuildRequires

* Mon May 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4.0-5mdk
- Move libslang.so from -devel to normal.

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.4.0-4mdk
- move .so to devel
- add soname

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4.0-3mdk
- Add link for alpha.

* Mon Mar 27 2000 Warly <warly@mandrakesoft.com> 1.4.0-2mdk
- fix doc path

* Sun Mar 26 2000 Warly <warly@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0
- new package doc

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.8.

* Mon Jun 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.7.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Oct 21 1998 Bill Nottingham <notting@redhat.com>
- libslang.so goes in -devel

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de

* Sat Jun  6 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.2.2 with buildroot.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 18 1998 Erik Troan <ewt@redhat.com>
- rebuilt to find terminfo in /usr/share

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 0.99.38 (will it EVER go 1.0???)
- all patches removed (all appear to be in this version)

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
